import re
import sys
from keyword import iskeyword

TERMINATOR = "\x1b[0m"
ERROR = "\x1b[1;31mERROR: "


def die(message, retcode=1):
    print('{ERROR}{}{TERMINATOR}'.format(message, **globals()))
    sys.exit(retcode)


def isidentifier(value):
    """Determines if string is valid Python identifier.

    Cookiecutter is run with Python 2 until Debian Buster, so we must have a
    compatible check instead of the nice `isidentifier` method...
    """
    return (
        re.match(r'[_a-zA-Z][_a-zA-Z0-9]*$', value) is not None
        and not iskeyword(value)
    )


if not isidentifier('{{ cookiecutter.project_slug }}'):
    die("'{{ cookiecutter.project_slug }}' project slug is not a valid "
        "Python identifier.")
